    var CalendarData = new Array(100);
    var madd = new Array(12);
    var tgString = "甲乙丙丁戊己庚辛壬癸";
    var dzString = "子丑寅卯辰巳午未申酉戌亥";
    var numString = "一二三四五六七八九十";
    var monString = "正二三四五六七八九十冬腊";
    var weekString = "日一二三四五六";
    var sx = "鼠牛虎兔龙蛇马羊猴鸡狗猪";
    var cYear, cMonth, cDay, TheDate;
    CalendarData = new Array(0xA4B, 0x5164B, 0x6A5, 0x6D4, 0x415B5, 0x2B6, 0x957, 0x2092F, 0x497, 0x60C96, 0xD4A, 0xEA5, 0x50DA9, 0x5AD, 0x2B6, 0x3126E, 0x92E, 0x7192D, 0xC95, 0xD4A, 0x61B4A, 0xB55, 0x56A, 0x4155B, 0x25D, 0x92D, 0x2192B, 0xA95, 0x71695, 0x6CA, 0xB55, 0x50AB5, 0x4DA, 0xA5B, 0x30A57, 0x52B, 0x8152A, 0xE95, 0x6AA, 0x615AA, 0xAB5, 0x4B6, 0x414AE, 0xA57, 0x526, 0x31D26, 0xD95, 0x70B55, 0x56A, 0x96D, 0x5095D, 0x4AD, 0xA4D, 0x41A4D, 0xD25, 0x81AA5, 0xB54, 0xB6A, 0x612DA, 0x95B, 0x49B, 0x41497, 0xA4B, 0xA164B, 0x6A5, 0x6D4, 0x615B4, 0xAB6, 0x957, 0x5092F, 0x497, 0x64B, 0x30D4A, 0xEA5, 0x80D65, 0x5AC, 0xAB6, 0x5126D, 0x92E, 0xC96, 0x41A95, 0xD4A, 0xDA5, 0x20B55, 0x56A, 0x7155B, 0x25D, 0x92D, 0x5192B, 0xA95, 0xB4A, 0x416AA, 0xAD5, 0x90AB5, 0x4BA, 0xA5B, 0x60A57, 0x52B, 0xA93, 0x40E95);
    madd[0] = 0;
    madd[1] = 31;
    madd[2] = 59;
    madd[3] = 90;
    madd[4] = 120;
    madd[5] = 151;
    madd[6] = 181;
    madd[7] = 212;
    madd[8] = 243;
    madd[9] = 273;
    madd[10] = 304;
    madd[11] = 334;
    function GetBit(m, n) {
        return (m >> n) & 1;
    }
    function e2c() {
        TheDate = (arguments.length != 3) ? new Date() : new Date(arguments[0], arguments[1], arguments[2]);
        var total, m, n, k;
        var isEnd = false;
        var tmp = TheDate.getYear();
        if (tmp < 1900) {
            tmp += 1900;
        }
        total = (tmp - 1921) * 365 + Math.floor((tmp - 1921) / 4) + madd[TheDate.getMonth()] + TheDate.getDate() - 38;
        if (TheDate.getYear() % 4 == 0 && TheDate.getMonth() > 1) {
            total++;
        }
        for (m = 0; ; m++) {
            k = (CalendarData[m] < 0xfff) ? 11 : 12;
            for (n = k; n >= 0; n--) {
                if (total <= 29 + GetBit(CalendarData[m], n)) {
                    isEnd = true; break;
                }
                total = total - 29 - GetBit(CalendarData[m], n);
            }
            if (isEnd) break;
        }
        cYear = 1921 + m;
        cMonth = k - n + 1;
        cDay = total;
        if (k == 12) {
            if (cMonth == Math.floor(CalendarData[m] / 0x10000) + 1) {
                cMonth = 1 - cMonth;
            }
            if (cMonth > Math.floor(CalendarData[m] / 0x10000) + 1) {
                cMonth--;
            }
        }
    }
    function GetcDateString() {
        var tmp = "";
//      tmp += tgString.charAt((cYear - 4) % 10);
//      tmp += dzString.charAt((cYear - 4) % 12);
//      tmp += "(";
//      tmp += sx.charAt((cYear - 4) % 12);
//      tmp += ")年 ";
//      if (cMonth < 1) {
//          tmp += "(闰)";
//          tmp += monString.charAt(-cMonth - 1);
//      } else {
//          tmp += monString.charAt(cMonth - 1);
//      }
//      tmp += "月";
        tmp += (cDay < 11) ? "初" : ((cDay < 20) ? "十" : ((cDay < 30) ? "廿" : "三十"));
        if (cDay % 10 != 0 || cDay == 10) {
            tmp += numString.charAt((cDay - 1) % 10);
        }
        return tmp;
    }
    function GetLunarDay(solarYear, solarMonth, solarDay) {
        //solarYear = solarYear<1900?(1900+solarYear):solarYear;
        if (solarYear < 1921 || solarYear > 2020) {
            return "";
        } else {
            solarMonth = (parseInt(solarMonth) > 0) ? (solarMonth - 1) : 11;
            e2c(solarYear, solarMonth, solarDay);
            return GetcDateString();
        }
    }
    //调用
    
        //alert(d);
        //alert(yy)
 

(function(w){
	w.Calendar = function (opt) {
		// 创建日历控件基本结构	
		var cldbox = document.createElement("div");
		cldbox.className = 'calendar-container';
		cldbox.id = opt.el;
		var tpl = "";
		tpl += '<div class="calendar-week"><div>日</div><div>一</div><div>二</div><div>三</div><div>四</div><div>五</div><div>六</div></div>';
		tpl += '<div class="calendar-content-simplify clearfix"></div>';
		tpl += '<div class="calendar-content clearfix calendar-hidden"></div>';

		tpl += '<div class="calendar-title calendar-hidden">';
		tpl += '<div class="calendar-prevyear"><<</div>';
		tpl += '<div class="calendar-prevmonth"><</div>';
		tpl += '<div class="calendar-year"></div>';
		tpl += '<div class="calendar-month"></div>';
		tpl += '<div class="calendar-nextmonth">></div>';
		tpl += '<div class="calendar-nextyear">>></div>';
		tpl += '</div>';
		tpl += '<div class="jiantou"><p></p></div>';
		cldbox.innerHTML=tpl;
		document.body.appendChild(cldbox);
		
		// dom 对象
		var omonth = cldbox.querySelector(".calendar-month");
		var oyear = cldbox.querySelector(".calendar-year");
		var prevyear = cldbox.querySelector(".calendar-prevyear");
		var prevmonth = cldbox.querySelector(".calendar-prevmonth");
		var nextyear = cldbox.querySelector(".calendar-nextyear");
		var nextmonth = cldbox.querySelector(".calendar-nextmonth");
		var content = cldbox.querySelector(".calendar-content");
		var content_simplify = cldbox.querySelector(".calendar-content-simplify");
		var contentweek = cldbox.querySelector(".calendar-week");
		var contenttitle = cldbox.querySelector(".calendar-title");
		
		// 时间对象(默认当前)
		var dateObj;
		if(opt.value){
			dateObj = opt.value;
		}else{
			dateObj = new Date();
		}
		// 年月获取 
		var year = dateObj.getFullYear();
		var month = getMon(dateObj);
		// 月年的显示
		omonth.innerHTML = month+"月";
		oyear.innerHTML = year+"年";
		// 获取本月1号的周值
		var fistWeek = getCurmonWeeknum(dateObj);
		// 本月总日数
		var monDaynum = getCurmonDaynum(dateObj);
		// 当前日期
		var nowDay = getDay(dateObj);
		// 获取简化日历信息
		var simCalendarInfo = getCurWeekFirstDate(dateObj);
		//初始化显示本月信息
		setContent(content, fistWeek, monDaynum, nowDay);
		setContentSimplify(content_simplify, nowDay, simCalendarInfo);
		
		var isSupportMUI = (typeof mui === 'function');
		var evt = {
			type: isSupportMUI?'tap':'click'
		}
		// 显示当前时间
		content.addEventListener(evt.type,function (event) {
			var targetType = 0;
			if (event.target.tagName=="DIV" && event.target.nodeType=="1" && hasclass(event.target.className,"canChoose")) {
				targetType = 1;
			} else if (event.target.nodeName.toLowerCase()=="p" && event.target.nodeType=="1" && hasclass(event.target.parentNode.className,"canChoose")) {
				targetType = 2;
			}
		    if(targetType){
				var day = targetType == 1 ? parseInt(event.target.childNodes[0].nodeValue) : parseInt(event.target.parentNode.childNodes[0].nodeValue);
				var dateObjNew = new Date();
				dateObjNew.setFullYear(dateObj.getFullYear(), dateObj.getMonth(), day);
				var week = getWeek(dateObjNew,true);	
				opt.fn({
					'year': year,
					'month': month,
					'day': day,
					'week': week
				});
				if (!judgeDateInWeek(dateObjNew,dateObj)) {
					var simCalendarInfoNew = getCurWeekFirstDate(dateObjNew);
					clearContent(content_simplify);
					setContentSimplify(content_simplify, nowDay, simCalendarInfoNew);
				}
			}; 
		})
		content_simplify.addEventListener(evt.type,function (event) {
			var targetType = 0;
			if (event.target.tagName=="DIV" && event.target.nodeType=="1" && hasclass(event.target.className,"canChoose")) {
				targetType = 1;
			} else if (event.target.nodeName.toLowerCase()=="p" && event.target.nodeType=="1" && hasclass(event.target.parentNode.className,"canChoose")) {
				targetType = 2;
			}
		    if(targetType){

				var day = targetType == 1 ? parseInt(event.target.childNodes[0].nodeValue) : parseInt(event.target.parentNode.childNodes[0].nodeValue);

				var dateObjNew = new Date();
				dateObjNew.setFullYear(dateObj.getFullYear(), dateObj.getMonth(), day);

				var week = getWeek(dateObjNew,true);	

				opt.fn({

					'year': year,

					'month': month,

					'day': day,

					'week': week

				});

			}; 
		})
		cldbox.addEventListener('swipedown',function(e){
			content_simplify.classList.add("calendar-hidden");
			$(".calendar-content").slideDown(500);
			contenttitle.classList.remove("calendar-hidden");
		})
		cldbox.addEventListener('swipeup',function(e){
			$(".calendar-content").slideUp(500);
			contenttitle.classList.add("calendar-hidden");
			setTimeout(function(){
				content_simplify.classList.remove("calendar-hidden");
				if (!content.classList.contains("calendar-hidden")) {
					content.classList.add("calendar-hidden");
					contenttitle.classList.add("calendar-hidden");
					content_simplify.classList.remove("calendar-hidden");
				}
			},500)
			
		})
		cldbox.addEventListener('swipeleft',function(e){
			var ddm = null;
			var ddy = null;
			if((dateObj.getMonth()+1)==12){
				ddm = 0;
				ddy = dateObj.getFullYear()+1;
			}else{
				ddm = dateObj.getMonth()+1;
				ddy = dateObj.getFullYear();
			};
			dateObj.setFullYear(ddy);
			dateObj.setMonth(ddm);
			omonth.innerHTML = getMon(dateObj)+"月";
			oyear.innerHTML = dateObj.getFullYear()+"年";
			clearContent(content);
			clearContent(content_simplify);
			fistWeek = getCurmonWeeknum(dateObj);
			monDaynum = getCurmonDaynum(dateObj);
			nowDay = getDay(dateObj);
		  	simCalendarInfo = getCurWeekFirstDate(dateObj);
		  	setContent(content, fistWeek, monDaynum, nowDay);
		  	setContentSimplify(content_simplify, nowDay, simCalendarInfo);
		})
		cldbox.addEventListener('swiperight',function(e){
			var ddm = null;
			var ddy = null;
			if((dateObj.getMonth()-1)==-1){
				ddm = 11;
				ddy = dateObj.getFullYear()-1;
			}else{
				ddm = dateObj.getMonth()-1;
				ddy = dateObj.getFullYear();
			};
			dateObj.setFullYear(ddy);
		  	dateObj.setMonth(ddm);
		  	omonth.innerHTML = getMon(dateObj)+"月";
		  	oyear.innerHTML = dateObj.getFullYear()+"年";
		  	clearContent(content);
		  	clearContent(content_simplify);
		  	fistWeek = getCurmonWeeknum(dateObj);
		  	monDaynum = getCurmonDaynum(dateObj);
		  	nowDay = getDay(dateObj);
		  	simCalendarInfo = getCurWeekFirstDate(dateObj);
		  	setContent(content, fistWeek, monDaynum, nowDay);
		  	setContentSimplify(content_simplify, nowDay, simCalendarInfo);
		})
		// 上一月
		prevmonth.addEventListener(evt.type,function(){
			var ddm = null;
			var ddy = null;
			if((dateObj.getMonth()-1)==-1){
				ddm = 11;
				ddy = dateObj.getFullYear()-1;
			}else{
				ddm = dateObj.getMonth()-1;
				ddy = dateObj.getFullYear();
			};
			dateObj.setFullYear(ddy);
		  	dateObj.setMonth(ddm);
		  	omonth.innerHTML = getMon(dateObj)+"月";
		  	oyear.innerHTML = dateObj.getFullYear()+"年";
		  	clearContent(content);
		  	clearContent(content_simplify);
		  	fistWeek = getCurmonWeeknum(dateObj);
		  	monDaynum = getCurmonDaynum(dateObj);
		  	nowDay = getDay(dateObj);
		  	simCalendarInfo = getCurWeekFirstDate(dateObj);
		  	setContent(content, fistWeek, monDaynum, nowDay);
		  	setContentSimplify(content_simplify, nowDay, simCalendarInfo);
		})
		
		// 下一月
		nextmonth.addEventListener(evt.type,function(){
			var ddm = null;
			var ddy = null;
			if((dateObj.getMonth()+1)==12){
				ddm = 0;
				ddy = dateObj.getFullYear()+1;
			}else{
				ddm = dateObj.getMonth()+1;
				ddy = dateObj.getFullYear();
			};
			dateObj.setFullYear(ddy);
			dateObj.setMonth(ddm);
			omonth.innerHTML = getMon(dateObj)+"月";
			oyear.innerHTML = dateObj.getFullYear()+"年";
			clearContent(content);
			clearContent(content_simplify);
			fistWeek = getCurmonWeeknum(dateObj);
			monDaynum = getCurmonDaynum(dateObj);
			nowDay = getDay(dateObj);
		  	simCalendarInfo = getCurWeekFirstDate(dateObj);
		  	setContent(content, fistWeek, monDaynum, nowDay);
		  	setContentSimplify(content_simplify, nowDay, simCalendarInfo);
		})
		
		// 上一年
		prevyear.addEventListener(evt.type,function(){
			var ddy = dateObj.getFullYear()-1;
			dateObj.setFullYear(ddy);
			oyear.innerHTML = dateObj.getFullYear()+"年";
			year -= 1;
			clearContent(content);
			clearContent(content_simplify);
			fistWeek = getCurmonWeeknum(dateObj);
			monDaynum = getCurmonDaynum(dateObj);
			nowDay = getDay(dateObj);
		  	simCalendarInfo = getCurWeekFirstDate(dateObj);
		  	setContent(content, fistWeek, monDaynum, nowDay);
		  	setContentSimplify(content_simplify, nowDay, simCalendarInfo);
		})
		
		// 下一年
		nextyear.addEventListener(evt.type,function(){
			var ddy = dateObj.getFullYear()+1;
			dateObj.setFullYear(ddy);
			oyear.innerHTML = dateObj.getFullYear()+"年";
			year += 1;
			clearContent(content);
			clearContent(content_simplify);
			fistWeek = getCurmonWeeknum(dateObj);
			monDaynum = getCurmonDaynum(dateObj);
			nowDay = getDay(dateObj);
		  	simCalendarInfo = getCurWeekFirstDate(dateObj);
		  	setContent(content, fistWeek, monDaynum, nowDay);
		  	setContentSimplify(content_simplify, nowDay, simCalendarInfo);
		})
	}
	
	//有无指定类名的判断
	function hasclass(str,cla){
	  	var i=str.search(cla);
	  	if(i==-1){
	   		return false;
	  	}else{
	   		return true;
	  	};
	}
	
	// 初始化日期显示方法
	function setContent(el, fistWeek, monDaynum, nowDay){
		// 留空
		for(var i=1;i <= fistWeek;i++){
			var subContent = document.createElement("div");
			subContent.innerHTML = "";
			el.appendChild(subContent);
		}
		// 正常区域
		for(var i=1;i <= monDaynum;i++){
			var subContent = document.createElement("div");
			subContent.className="canChoose";
			if(i==nowDay){     
				subContent.classList.add("today");
			}
			var D = new Date();
		    var yy = D.getFullYear();
		    var mm = D.getMonth() + 1;
		    var dd = i;
		    var ww = D.getDay();
		    var ss = parseInt(D.getTime() / 1000);
		    if (yy < 100) yy = "19" + yy;
		    function GetCNDate() {
		        return GetLunarDay(yy, mm, dd);
		    }
		    var d = GetCNDate();
			subContent.innerHTML = i + "<p>"+d+"</p>";
			el.appendChild(subContent);
		}
	}
	
	function setContentSimplify(el, nowDay, simCalendarInfo){
		switch(simCalendarInfo.mon) {
			case "current":
				for (var i = simCalendarInfo.date; i < simCalendarInfo.date + 7;i++) {
					var subContent = document.createElement("div");
					subContent.className="canChoose";
					if(i==nowDay){     
						subContent.classList.add("today");
					}
			var D = new Date();
		    var yy = D.getFullYear();
		    var mm = D.getMonth() + 1;
		    var dd = i;
		    var ww = D.getDay();
		    var ss = parseInt(D.getTime() / 1000);
		    if (yy < 100) yy = "19" + yy;
		    function GetCNDate() {
		        return GetLunarDay(yy, mm, dd);
		    }
		    var d = GetCNDate();
					subContent.innerHTML = i + "<p>"+d+"</p>";
					el.appendChild(subContent);
					//alert(i)
				}
				break;
			case "last":
				for (var i = simCalendarInfo.date; i < simCalendarInfo.lastMonDayNum + 1;i++) {
					var subContent = document.createElement("div");
					var D = new Date();
		    var yy = D.getFullYear();
		    var mm = D.getMonth() + 1;
		    var dd = i;
		    var ww = D.getDay();
		    var ss = parseInt(D.getTime() / 1000);
		    if (yy < 100) yy = "19" + yy;
		    function GetCNDate() {
		        return GetLunarDay(yy, mm, dd);
		    }
		    var d = GetCNDate();
					subContent.innerHTML = i + "<p>"+d+"</p>";
					el.appendChild(subContent);
					if (i == simCalendarInfo.lastMonDayNum) {
						for (var j = 1; j < 7 - simCalendarInfo.lastMonDayNum + simCalendarInfo.date;j++) {
							var subContentNext = document.createElement("div");
							subContentNext.className="canChoose";
							if(j==nowDay){     
								subContentNext.classList.add("today");
							}
							var D = new Date();
		    var yy = D.getFullYear();
		    var mm = D.getMonth() + 1;
		    var dd = i;
		    var ww = D.getDay();
		    var ss = parseInt(D.getTime() / 1000);
		    if (yy < 100) yy = "19" + yy;
		    function GetCNDate() {
		        return GetLunarDay(yy, mm, dd);
		    }
		    var d = GetCNDate();
					subContent.innerHTML = j + "<p>"+d+"</p>";
							el.appendChild(subContentNext);
						}
					}
				}
				break;
			case "next":
				for (var i = simCalendarInfo.date; i < simCalendarInfo.currentMonDayNum + 1;i++) {
					var subContent = document.createElement("div");
					subContent.className="canChoose";
					if(i==nowDay){
						subContent.classList.add("today");
					}
					var D = new Date();
		    var yy = D.getFullYear();
		    var mm = D.getMonth() + 1;
		    var dd = i;
		    var ww = D.getDay();
		    var ss = parseInt(D.getTime() / 1000);
		    if (yy < 100) yy = "19" + yy;
		    function GetCNDate() {
		        return GetLunarDay(yy, mm, dd);
		    }
		    var d = GetCNDate();
					subContent.innerHTML = i + "<p>"+d+"</p>";
					el.appendChild(subContent);
					if (i == simCalendarInfo.currentMonDayNum) {
						for (var j = 1; j < 7 - simCalendarInfo.currentMonDayNum + simCalendarInfo.date;j++) {
							var subContentNext = document.createElement("div");
							var D = new Date();
		    var yy = D.getFullYear();
		    var mm = D.getMonth() + 1;
		    var dd = i;
		    var ww = D.getDay();
		    var ss = parseInt(D.getTime() / 1000);
		    if (yy < 100) yy = "19" + yy;
		    function GetCNDate() {
		        return GetLunarDay(yy, mm, dd);
		    }
		    var d = GetCNDate();
					subContent.innerHTML = j + "<p>"+d+"</p>";
							el.appendChild(subContentNext);
						}
					}
				}
				break;
		}
	}
	
	// 清除内容
	function clearContent(el){
		el.innerHTML="";
	}
	
	// 判断闰年
	function isLeapYear(year){ 
		if( (year % 4 == 0) && (year % 100 != 0 || year % 400 == 0)){
			return true;
		}else{
			return false;
		}
	}
	
	// 得到当前月份
	function getMon (dateObj) { 
		var month=dateObj.getMonth()
		switch(month) { 
			case 0: return 1; break; 
		  	case 1: return 2; break; 
		  	case 2: return 3; break; 
		  	case 3: return 4; break; 
		  	case 4: return 5; break; 
		  	case 5: return 6; break; 
		  	case 6: return 7; break; 
		  	case 7: return 8; break; 
		  	case 8: return 9; break; 
		  	case 9: return 10; break; 
		  	case 10: return 11; break; 
		  	case 11: return 12; break;   
		  	default: 
		}
	}
	
	// 得到当前号数
	function getDay (dateObj) {
		return dateObj.getDate();
	}
	
	// 得到周期数
	function getWeek (dateObj,strFlag) {
		var week;
		if (strFlag) {
			switch (dateObj.getDay()){
			 	case 1: week = "星期一"; break;
			 	case 2: week = "星期二"; break;
			 	case 3: week = "星期三"; break;
			 	case 4: week = "星期四"; break;
			 	case 5: week = "星期五"; break;
			 	case 6: week = "星期六"; break;
			 	default: week = "星期天";
			}
		} else {
			switch (dateObj.getDay()){
			 	case 1: week = 1; break;
			 	case 2: week = 2; break;
			 	case 3: week = 3; break;
			 	case 4: week = 4; break;
			 	case 5: week = 5; break;
			 	case 6: week = 6; break;
			 	default: week = 7;//0
			}
		}
		return week;
	}
	
	// 获取本月总日数方法
	function getCurmonDaynum(dateObj){
		var year=dateObj.getFullYear();
		var month=dateObj.getMonth();
		return returnDayByMon(month,isLeapYear(year));
	}
	
	function returnDayByMon(mon,leapYearFlag) {
		var days = 0;
		switch(mon) {
			case 0:
				days = 31;
				break;
			case 1:
				if (leapYearFlag) {
					days = 29;
				} else {
					days = 28;
				}
				break; 
			case 2:
				days = 31;
				break;
		   	case 3:
				days = 30;
				break;
		   	case 4: 
				days = 31;
				break;
		   	case 5:
				days = 30;
				break;
		   	case 6: 
				days = 31;
				break;
		   	case 7:
				days = 31;
				break;
		   	case 8:
				days = 30;
				break;
		   	case 9:
				days = 31;
				break;
		   	case 10:
				days = 30;
				break;
		   	case 11:
				days = 31;
				break;
		}
		return days;
	}
	
	// 获取本月1号的周值
	function getCurmonWeeknum(dateObj){
		var oneyear = new Date();
		var year = dateObj.getFullYear();
		var month = dateObj.getMonth(); //0是1月
		oneyear.setFullYear(year);
		oneyear.setMonth(month); //0是1月
		oneyear.setDate(1);
		return oneyear.getDay();  
	}
	
	//获取本周第一天的日期
	function getCurWeekFirstDate(dateObj){
		var curWeekFirstDate = {
			"mon":"current",//"current"：本周全为当月的日期；"last"：本周含有上月的日期；"next"：本周含有下月的日期
			"date":1,//本周第一天的日期
			"lastMonDayNum":0,//上个月有多少天
			"currentMonDayNum":0//本月有多少天
		};
		if (dateObj.getDate()<=dateObj.getDay()) {//本周里有上个月的日期
			var curMon = dateObj.getMonth();
			var lastMonDayNum;
			if (curMon==0) {
				lastMonDayNum = returnDayByMon(11,isLeapYear(dateObj.getFullYear()-1));
			} else {
				lastMonDayNum = returnDayByMon(curMon-1,isLeapYear(dateObj.getFullYear()));
			}
			curWeekFirstDate.mon = "last";
			curWeekFirstDate.date = lastMonDayNum - (dateObj.getDay() + 1 - dateObj.getDate()) + 1;
			curWeekFirstDate.lastMonDayNum = lastMonDayNum;
			//本分支下"currentMonDayNum"不重要因此没有重新赋值
		} else if ((6-dateObj.getDay())>(getCurmonDaynum(dateObj)-dateObj.getDate())) {//本周里有下个月的日期
			curWeekFirstDate.mon = "next";
			curWeekFirstDate.date = dateObj.getDate() - dateObj.getDay();
			curWeekFirstDate.currentMonDayNum = getCurmonDaynum(dateObj);
			//本分支下"lastMonDayNum"不重要因此没有重新赋值
		} else {//本周里仅有这个月的日期
			curWeekFirstDate.date = dateObj.getDate() - dateObj.getDay();
			//本分支下"lastMonDayNum"不重要因此没有重新赋值
			//本分支下"currentMonDayNum"不重要因此没有重新赋值
		}
		return curWeekFirstDate;
	}
	
	function judgeDateInWeek(dateObjNew, dateObjOld) {
		var inFlag = false;
		if (dateObjNew.getFullYear()==dateObjOld.getFullYear() && dateObjNew.getMonth()==dateObjOld.getMonth()) {
			var curWeekFirstDate = getCurWeekFirstDate(dateObjOld);
			var newDate = dateObjNew.getDate();
			switch (curWeekFirstDate.mon) {
				case "current":
					if ((newDate >= curWeekFirstDate.date)&&(newDate < curWeekFirstDate +7)) {
						inFlag = true;
					}
					break;
				case "last":
					if (newDate < (7 - curWeekFirstDate.lastMonDayNum + curWeekFirstDate.date)) {
						inFlag = true;
					}
					break;
				case "next":
					if (newDate <= curWeekFirstDate.currentMonDayNum && newDate >= curWeekFirstDate.date) {
						inFlag = true;
					}
					break;
			}
			return inFlag;
		}
	}
})(window);

