//上传图片
function uploadImgList(bizId, successCall) {

	console.log("bizId" + bizId);//63d6bdf2:1592a631df2:-7f36
	var serviceUrl = env.BASEURL + "/wf/workItem/uploadPic.json"
	var task = plus.uploader.createUpload(serviceUrl, {
			method: "POST"
		},
		function(t, status) { //上传完成
			plus.nativeUI.closeWaiting();
			if(status == 200) {
				console.log("上传成功：" + t.responseText);
				successCall();
			} else {
				mui.alert("发送失败，请再试一次！")
				console.log("上传失败！" + t.responseText);
			}
		}
	);
	task.addData("bizId", bizId);
	task.addData("bizType", "leave");
	var handleCount = 0;
	for(var i in imageList) {
		var filepath = getCompressSrcFilePath(imageList[i]);
		var filename = getFileName(filepath);
		var distpath = getUploadFilePath(filepath);
		console.log("i=" + i);
		console.log("filepath=" + filepath);
		console.log("dispath=" + distpath);
		plus.zip.compressImage(
			{
				src: filepath,
				dst: distpath,
				quality: 20,
				overwrite: true
			},
			function(e) {
				console.log("success" + e.target);
				handleCount++;
				console.log("handleCount" + handleCount);
				var targetFilePath = getUploadFilePath(e.target);
				var targetFileName = getFileName(targetFilePath);
				task.addFile(targetFilePath, {
					key: targetFileName
				});
				if(handleCount == imageList.length) {
					console.log("task start!");
					task.start();
				}
			},
			function(error) {
				console.log(error.message);
				console.log(error.code);
				console.log("error" + distpath);
			}
		);
	}

}
//选择图片
function handleUploaderTapEvent() {
	//var distDir = env.LOCAL_FILE_PATH;
	mui('#addUploader').on('tap', '.ecoa-contact', function(e) {
		var btnArray = [{
			title: "拍照"
		}, {
			title: "从相册选择"
		}];
		plus.nativeUI.actionSheet({
			title: "选择图片",
			cancel: "取消",
			buttons: btnArray
		}, function(e) {
			var index = e.index;
			switch(index) {
				case 0:
					break;
				case 1:
					var cmr = plus.camera.getCamera();
					cmr.captureImage(function(path) {
						var filepath = "file://" + plus.io.convertLocalFileSystemURL(path);
						imageList.push(filepath);
						objImgList.appendChild(createImgList(filepath));
					}, function(err) {});
					break;
				case 2:
					plus.gallery.pick(function(e) {
						console.log(e.files.length);
						for(var i in e.files) {
							var curImgPath = e.files[i];
							console.log(curImgPath);

							var exist = false;
							for(var j in imageList) {
								if(imageList[j] == curImgPath) {
									exist = true;
									break;
								}
							}
							console.log("exist=" + exist);
							if(!exist) {
								console.log("curImgPath=" + curImgPath);
								imageList.push(curImgPath);
								objImgList.appendChild(createImgList(curImgPath));
							}
						}
					}, function(err) {}, {
						filter: "image",
						maximum: 3,
						multiple: true,
						system: true
					});
					break;
			}
		});

	});
}
// 删除图片
function createImgList(path) {
	var li = document.createElement('span');
	//li.className = 'mui-input-row';
	li.innerHTML = "<img src='" + path + "' width='80px' />&nbsp";
	li.addEventListener('tap', function() {
		var btnArray = ['取消', '确定'];
		mui.confirm('是否删除图片？', '删除图片', btnArray, function(e) {
			objImgList.removeChild(li);
			var index = 0;
			for(var i in imageList) {
				if(imageList[i] == path) {
					index = i;
					break;
				}
			}
			imageList.splice(index, 1);
		});
	});
	return li;
}

function getCompressSrcFilePath(url) {
	var path = url;
	if(plus.os.android) {
		path = url.substring(7, url.length);
	}
	return path;
}

function getFileName(path) {
	var start = path.lastIndexOf("/");
	return path.substring(start + 1, path.length);
}

function getUploadFilePath(url) {
	var filename = getFileName(url);
	var path = env.LOCAL_FILE_PATH + filename;
	return path;
}

function getUrlFromFilePath(path) {
	return "file://" + path;
}

function depressImg(filepath, distpath) {
	plus.zip.compressImage({
			src: filepath,
			dst: distpath,
			quality: 20,
			overwrite: true
		},
		function() {
			console.log("success" + filepath);
			return true;

		},
		function(error) {
			console.log(error.message);
			console.log("error" + distpath);
			return false;
		});
}